Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class NegativeBinomialGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.RandomVariateGenInt
              umontreal.iro.lecuyer.randvar.NegativeBinomialGen

    public class NegativeBinomialGen

extends RandomVariateGenInt

This class implements random variate generators having the negative binomial distribution. Its mass function is

p(x) = Γ(γ + x)/(x! Γ(γ)) pγ(1 - p)x, for x = 0, 1, 2,…

where Γ is the gamma function, γ > 0 and 0 <= p <= 1. No local copy of the parameters γ and p is maintained in this class. The (non-static) `nextInt` method simply calls `inverseF` on the distribution.

Constructor Summary
`NegativeBinomialGen(RandomStream s, double gamma, double p)` Creates a negative binomial random variate generator with parameters γ = `gamma` and p, using stream `s`.
`NegativeBinomialGen(RandomStream s, NegativeBinomialDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`double` | `getGamma()` Returns the parameter γ of this object.
`double` | `getP()` Returns the parameter p of this object.
`static int` | `nextInt(RandomStream s, double gamma, double p)` Generates a new variate from the negative binomial distribution, with parameters γ = `gamma` and p = `p`, using stream `s`.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGenInt
`getDistribution, nextArrayOfInt, nextInt`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NegativeBinomialGen

    public NegativeBinomialGen(RandomStream s,
                               double gamma,
                               double p)

  Creates a negative binomial random variate generator with parameters γ = `gamma` and p, using stream `s`.

### NegativeBinomialGen

    public NegativeBinomialGen(RandomStream s,
                               NegativeBinomialDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextInt

    public static int nextInt(RandomStream s,
                              double gamma,
                              double p)

  Generates a new variate from the negative binomial distribution, with parameters γ = `gamma` and p = `p`, using stream `s`.

### getGamma

    public double getGamma()

  Returns the parameter γ of this object.

### getP

    public double getP()

  Returns the parameter p of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.